Bug 1028895 - Cannot mvn exec:exec on ejb-security-interceptors
Cannot mvn exec:exec on ejb-security-interceptors
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: CR1
: EAP 6.2.0
Assigned To: sgilda
Jitka Kozana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 02:21 EST by Jitka Kozana
Modified: 2017-10-09 20:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:13:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jitka Kozana 2013-11-11 02:21:46 EST
EAP 6.2.0.ER7. 

The command mvn exec:exec in quickstart ejb-security-interceptors fails with the following exception:

Exception in thread "main" java.lang.IllegalStateException: EJBCLIENT000025: No EJB receiver available for handling [appName:, moduleName:jboss-as-ejb-security-interceptors, distinctName:] combination for invocation context org.jboss.ejb.client.EJBClientInvocationContext@12ad972d
	at org.jboss.ejb.client.EJBClientContext.requireEJBReceiver(EJBClientContext.java:729)
	at org.jboss.ejb.client.ReceiverInterceptor.handleInvocation(ReceiverInterceptor.java:116)
	at org.jboss.ejb.client.EJBClientInvocationContext.sendRequest(EJBClientInvocationContext.java:183)
	at org.jboss.ejb.client.EJBInvocationHandler.sendRequestWithPossibleRetries(EJBInvocationHandler.java:253)
	at org.jboss.ejb.client.EJBInvocationHandler.doInvoke(EJBInvocationHandler.java:198)
	at org.jboss.ejb.client.EJBInvocationHandler.doInvoke(EJBInvocationHandler.java:181)
	at org.jboss.ejb.client.EJBInvocationHandler.invoke(EJBInvocationHandler.java:144)
	at $Proxy0.getSecurityInformation(Unknown Source)
	at org.jboss.as.quickstarts.ejb_security_interceptors.RemoteClient.makeCalls(RemoteClient.java:135)
	at org.jboss.as.quickstarts.ejb_security_interceptors.RemoteClient.performTestingSecurityContext(RemoteClient.java:62)
	at org.jboss.as.quickstarts.ejb_security_interceptors.RemoteClient.main(RemoteClient.java:170)

This is caused by the jar name change (from "jboss-as-ejb-security-interceptors" to "jboss-ejb-security-interceptors"), however the EJB calls in the sources still use the old name. 

The very same issue was also seen in the quickstart cluster-ha-singleton: https://bugzilla.redhat.com/show_bug.cgi?id=1028517.
Comment 2 Jitka Kozana 2013-11-14 08:57:12 EST
Verified using EAP 6.2.0.CR1 bits.

Note You need to log in before you can comment on or make changes to this bug.